#pragma once
#include "UndoRedoValue.h"

template<typename valueType>
struct Location2D
{
	Location2D(valueType x, valueType y)
	{
		this->x = UndoRedoValue<valueType>(x);
		this->y = UndoRedoValue<valueType>(y);
	}

	UndoRedoValue<valueType> x = NULL;
	UndoRedoValue<valueType> y = NULL;

	void print()
	{
		printf((std::string("(") + std::to_string(x.value) + std::string(" ") + std::to_string(y.value) + std::string(")")).c_str());
	}
};
