#pragma once

template<typename value1Type, typename value2Type>
struct Pair
{
	Pair(value1Type value1, value2Type value2) : value1(value1), value2(value2) {}

	value1Type value1;
	value2Type value2;

	auto average() const
	{
		return (value1 + value2) / 2;
	}

	auto max() const
	{
		return value1 > value2 ? value1 : value2;
	}

	auto min() const
	{
		return value1 < value2 ? value1 : value2;
	}
};
