#pragma once

template<typename valueType>
struct RedoableValue
{
	void updateRedoableValue(valueType& valueToSet, valueType value)
	{
		this->lastSet = value;
	}

	void redoSet(valueType& valueToSet)
	{
		valueToSet = this->lastSet;
	}

	valueType lastSet;
};