#pragma once

template<typename valueType>
struct UndoableValue
{
	void updateUndoableValue(valueType& valueToSet, valueType value)
	{
		this->previousValue = valueToSet;
	}

	void undoSet(valueType& valueToSet)
	{
		valueToSet = this->previousValue;
	}

	valueType previousValue;
};